<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_f457e604fe9e7" . "7b3f884b013afe" . "0c10c" => base64_decode("Y3N2" . "X2V4" . "cG9y" . "dA=="), "_52ff3d2c2e5" . "21e8d4e39bc7" . "62ea72a70" => base64_decode("UHJvY2Vz" . "c2VkIGRv" . "Y3VtZW50" . "cw=="), "_21977da3ae644" . "65ec85f89dfb0b" . "6dcf2" => base64_decode("ZG9jdW1lbnRzLm" . "hlYWRlci5wcm9j" . "ZXNzZWRfZG9jdW" . "1lbnRz"), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1" . "zZw" . "=="), "_c240fbf" . "9dae3f14" . "bb9192ba" . "bf3ef673" . "1" => base64_decode("ZGF0ZV9tb2RpZmll" . "ZA=="), "_8f06554" . "77613566" . "9af1f9fe" . "2598af4d" . "c" => base64_decode("V29ya2Z" . "sb3c="), "_121c102c9c9ad9bf61745404c1" . "46312c" => base64_decode("d29ya2Zsb3dfc2VsZ" . "WN0"), "_3893085d5d4dd5f7f80042847fc8f" . "d66" => base64_decode("Y29tbW9uLmhlYWRlci53b3JrZmxvd" . "w=="), "_1d81e4078b112d9a9" . "d9f9dd21fea4460" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXNzZXM" . "vV0ZTdGF0LnBocA=="), "_aa7e860da1acd4e767e0df" . "9d7d407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1d81e4078b112d9a9d9f9dd21" . "fea4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c240fbf9dae3" . "f14bb9192babf" . "3ef6731"], $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_aa7e860da1acd4e767e0df9d7d4073" . "80"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_f457e604f" . "e9e77b3f88" . "4b013afe0c" . "10c"], $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_121c102c9c" . "9ad9bf61745" . "404c146312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8f065547761" . "35669af1f9fe" . "2598af4dc"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_3893085d5d4dd5f7f8004" . "2847fc8fd66"])), array($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_52ff3d2c2e521e8d4e39bc" . "762ea72a70"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_21977da3ae64465" . "ec85f89dfb0b6dcf" . "2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}